function ps=genph(n,t,y,u,ips)
  // ps=genp(n,t,y,u)    generation of regression vector \phi
  //                        i.e. without y(t) and u(t)
  // n    order
  // t    time
  // y    output
  // u    input

  if argn(2)<5, ips=1; end

  ps=[];
  if ips==1
    for i=1:n
      ps=[ps; y(:,t-i); u(:,t-i)];
    end
  else
    for i=1:n
      ps=[ps; y(:,t-i)];
    end
    for i=1:n
      ps=[ps; u(:,t-i)];
    end
  end
  ps=[ps; 1];
endfunction
