function str=getstr(chy,chu,chv,ord)
  // str=getstr(chy,chu,chv,ord)   create model structure
  //     it is always full, given by the order
  //     if the channels are:  1->y, 2->u, 3->v   then
  //     [2 3 1 2 3 1 2 3 0
  //      0 0 1 1 1 2 2 2 0]   where ord = 2, [0;0] is constant
  // chy     y channels
  // chu     u channels
  // chv     v channels
  // ord     model order
  // str     srtucture (1st row - channels, 2nd row - delays)

  ny=length(chy);
  nu=length(chu);
  nv=length(chv);

  str1=[chu chv];
  str2=[zeros(1,nu) zeros(1,nv)];
  for i=1:ord
    str1=[str1 chy chu chv];
    str2=[str2 i*[ones(1,ny) ones(1,nu) ones(1,nv)]]; 
  end

  str=[[str1;str2] [0;0]];
endfunction
