// Diskrétní veličiny sp, co, ga, mo 
// (rychlost, spotřeba, plyn, moment)
// ----------------------------------------------------------
exec SCIHOME/ScIntro.sce, mode(0)

//  1  SPOTREBA      y1 
//  2  SPEED (2+3)/2 y2 
//  3  VOLANT        u1 
//  4  PLYN          u2 
//  5  BRZDA         u3 
//  6  R-STUP-A      u4 
//  7  MOMENT-MOT    v1 
//  8  OTACKY-MOT    v2 
//  9  PRIC-ZRYCH    v3 
// 10  STAC-SPEED    v4 
// 11  ROAD-CAN      v5 
// 12  CAS-UTC       v6 
// 13  UTM-X2        v7 
// 14  UTM-Y2        v8 
// 15  ALTITUDE2     v9 
// 16  COURSE       v10 

load dataAuto.dat dt
dat=dt(:,(1:5:5000)+5000);
speed=dat(2,:);     // rychlost
consu=dat(1,:);     // spotřeba
petro=dat(4,:);     // plyn
momen=dat(7,:);     // moment

// dislretizace
sp=ones(1,1000);    // rychlost
j=find(speed>80);
sp(j)=2;

co=ones(1,1000);    // spotřeba
j=find(consu>200);
co(j)=2;

ga=ones(1,1000);    // plyn
j=find(petro>40);
ga(j)=2;

mo=ones(1,1000);    // moment
j=find(momen>60);
mo(j)=2;

save dataCat.dat sp co ga mo
return

alpha(ga,co) = 0.68166

alpha(ga,mo) = 0.83737 

alpha(mo,co) = 0.74085  
